Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68340/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/gen68340/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S startfor340only.S
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68360/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/gen68360/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/idp/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/idp/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/idp/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -3,8 +3,5 @@
 ##
 
-
 VPATH = @srcdir@:@srcdir@/../../shared
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -21,12 +18,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mcf5206elite/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ## 
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mrm332/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mrm332/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme136/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme136/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -3,8 +3,5 @@
 ##
 
-
 VPATH = @srcdir@:@srcdir@/../../shared
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -21,12 +18,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme147/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -3,8 +3,5 @@
 ##
 
-
 VPATH = @srcdir@:@srcdir@/../../shared
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -21,12 +18,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme147s/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme147s/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -3,8 +3,5 @@
 ##
 
-
 VPATH = @srcdir@:@srcdir@/../../shared
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -21,12 +18,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme162/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme162/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -3,8 +3,5 @@
 ##
 
-
 VPATH = @srcdir@:@srcdir@/../../shared
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -21,12 +18,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme167/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/mvme167/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -3,8 +3,5 @@
 ##
 
-
 VPATH = @srcdir@:@srcdir@/../../shared
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -21,12 +18,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/sim68000/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/m68k/sim68000/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/genmongoosev/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips/genmongoosev/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/jmr3904/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips/jmr3904/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/mips/p4000/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/p4000/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips/p4000/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/p4000/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips/p4000/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S
Index: c/src/lib/libbsp/mips64orion/p4000/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/ChangeLog	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips64orion/p4000/ChangeLog	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -1,2 +1,7 @@
+2002-07-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Eliminate PGM.
+	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
+
 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips64orion/p4000/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/start/Makefile.am	(revision 8880e223e46fecedc6fb8a1df01204c697c1e041)
+++ c/src/lib/libbsp/mips64orion/p4000/start/Makefile.am	(revision 496686ae7101bdba965eb81596c2775b705516b9)
@@ -2,7 +2,4 @@
 ## $Id$
 ##
-
-
-PGM = $(ARCH)/start.o
 
 S_FILES = start.S
@@ -19,12 +16,14 @@
 #
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(PGM)
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
 	$(INSTALL_DATA) $< $@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
 
-all-local: $(ARCH) $(OBJS) $(PGM) $(TMPINSTALL_FILES)
+all-local: $(ARCH) $(OBJS) $(ARCH)/start.o $(TMPINSTALL_FILES)
 
-.PRECIOUS: $(PGM)
+.PRECIOUS: $(ARCH)/start.o
 
 EXTRA_DIST = start.S