Index: c/src/exec/score/cpu/i386/i386types.h
===================================================================
--- c/src/exec/score/cpu/i386/i386types.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/exec/score/cpu/i386/i386types.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -45,5 +45,7 @@
 typedef double         double_precision;     /* double precision float */
 
-typedef void ( *i386_isr )( void );
+typedef void i386_isr;
+
+typedef i386_isr ( *i386_isr_entry )( void );
 
 #ifdef __cplusplus
Index: c/src/exec/score/cpu/i960/i960types.h
===================================================================
--- c/src/exec/score/cpu/i960/i960types.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/exec/score/cpu/i960/i960types.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -45,5 +45,7 @@
 typedef double         double_precision;     /* double precision float */
 
-typedef void ( *i960_isr )( void );
+typedef void i960_isr;
+
+typedef void ( *i960_isr_entry )( void );
 
 #ifdef __cplusplus
Index: c/src/exec/score/cpu/m68k/m68ktypes.h
===================================================================
--- c/src/exec/score/cpu/m68k/m68ktypes.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/exec/score/cpu/m68k/m68ktypes.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -45,5 +45,7 @@
 typedef double         double_precision;     /* double precision float */
 
-typedef void ( *m68k_isr )( void );
+typedef void m68k_isr;
+
+typedef void ( *m68k_isr_entry )( void );
 
 #ifdef __cplusplus
Index: c/src/exec/score/cpu/no_cpu/no_cputypes.h
===================================================================
--- c/src/exec/score/cpu/no_cpu/no_cputypes.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/exec/score/cpu/no_cpu/no_cputypes.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -45,5 +45,6 @@
 typedef double         double_precision;     /* double precision float */
 
-typedef void ( *no_cpu_isr )( void );
+typedef void no_cpu_isr;
+typedef void ( *no_cpu_isr_entry )( void );
 
 #ifdef __cplusplus
Index: c/src/exec/score/cpu/unix/unixtypes.h
===================================================================
--- c/src/exec/score/cpu/unix/unixtypes.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/exec/score/cpu/unix/unixtypes.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -45,5 +45,7 @@
 typedef double         double_precision;     /* double precision float */
 
-typedef void ( *unix_isr )( void );
+typedef void unix_isr;
+
+typedef unix_isr ( *unix_isr_entry )( void );
 
 #ifdef __cplusplus
Index: c/src/lib/libbsp/i386/force386/include/bsp.h
===================================================================
--- c/src/lib/libbsp/i386/force386/include/bsp.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/i386/force386/include/bsp.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -143,5 +143,5 @@
 /* routines */
 
-i386_isr set_vector(
+i386_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/i386/force386/startup/setvec.c
===================================================================
--- c/src/lib/libbsp/i386/force386/startup/setvec.c	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/i386/force386/startup/setvec.c	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -26,5 +26,5 @@
 #include <bsp.h>
 
-i386_isr set_vector(                            /* returns old vector */
+i386_isr_entry set_vector(                      /* returns old vector */
   rtems_isr_entry     handler,                  /* isr routine        */
   rtems_vector_number vector,                   /* vector number      */
@@ -32,5 +32,5 @@
 )
 {
-  i386_isr       previous_isr;
+  i386_isr_entry previous_isr;
   i386_IDT_slot  idt;
 
@@ -42,5 +42,5 @@
     idt = Interrupt_descriptor_table[ vector ];
 
-    previous_isr = (i386_isr)
+    previous_isr = (i386_isr_entry)
                       ((idt.offset_16_31 << 16) | idt.offset_0_15);
 
Index: c/src/lib/libbsp/m68k/dmv152/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/include/bsp.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/dmv152/include/bsp.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -150,5 +150,5 @@
 extern rtems_configuration_table BSP_Configuration;
 
-extern m68k_isr     M68Kvec[];   /* vector table address */
+extern m68k_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
@@ -156,5 +156,5 @@
 void bsp_cleanup( void );
 
-m68k_isr set_vector(
+m68k_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -76,9 +76,9 @@
 )
 {
-  m68k_isr *monitors_vector_table;
-  int       index;
-  void     *vbr;
+  m68k_isr_entry *monitors_vector_table;
+  int             index;
+  void           *vbr;
 
-  monitors_vector_table = (m68k_isr *)0;   /* Monitor Vectors are at 0 */
+  monitors_vector_table = (m68k_isr_entry *)0;   /* Monitor Vectors are at 0 */
   m68k_set_vbr( monitors_vector_table );
 
Index: c/src/lib/libbsp/m68k/idp/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/idp/include/bsp.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/idp/include/bsp.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -57,5 +57,5 @@
 extern rtems_configuration_table BSP_Configuration;
 
-extern m68k_isr     M68Kvec[];   /* vector table address */
+extern m68k_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
@@ -63,5 +63,5 @@
 void bsp_cleanup( void );
 
-m68k_isr set_vector(
+m68k_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/idp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -83,6 +83,6 @@
 )
 {
-  m68k_isr *monitors_vector_table;
-  int          index;
+  m68k_isr_entry *monitors_vector_table;
+  int             index;
 
   duart_base = (unsigned char *)DUART_ADDR;
@@ -92,7 +92,6 @@
    */
 
-  monitors_vector_table = (m68k_isr *)0;   /* This is where
-											  you set vector base
-											  register = 0 */
+  monitors_vector_table = (m68k_isr_entry *)0;
+   /* This is where you set vector base register = 0 */
   m68k_set_vbr( monitors_vector_table );
 
@@ -129,5 +128,5 @@
   Cpu_table.do_zero_of_workspace = TRUE;
  
-  Cpu_table.interrupt_vector_table = (m68k_isr *) &M68Kvec;
+  Cpu_table.interrupt_vector_table = (m68k_isr_entry *) &M68Kvec;
  
   Cpu_table.interrupt_stack_size = 4096;
Index: c/src/lib/libbsp/m68k/mvme136/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/include/bsp.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/mvme136/include/bsp.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -123,5 +123,5 @@
 EXTERN volatile struct w_m681_info *_Write_m681; /* M68681 write registers */
 
-extern m68k_isr     M68Kvec[];   /* vector table address */
+extern m68k_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
@@ -129,5 +129,5 @@
 void bsp_cleanup( void );
 
-m68k_isr set_vector(
+m68k_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -77,8 +77,8 @@
 )
 {
-  m68k_isr *monitors_vector_table;
-  int       index;
+  m68k_isr_entry *monitors_vector_table;
+  int             index;
 
-  monitors_vector_table = (m68k_isr *)0;   /* 135Bug Vectors are at 0 */
+  monitors_vector_table = (m68k_isr_entry *)0;   /* 135Bug Vectors are at 0 */
   m68k_set_vbr( monitors_vector_table );
 
@@ -111,5 +111,5 @@
   Cpu_table.do_zero_of_workspace = TRUE;
 
-  Cpu_table.interrupt_vector_table = (m68k_isr *) &M68Kvec;
+  Cpu_table.interrupt_vector_table = (m68k_isr_entry *) &M68Kvec;
 
   Cpu_table.interrupt_stack_size = 4096;
Index: c/src/lib/libbsp/m68k/mvme162/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/include/bsp.h	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/mvme162/include/bsp.h	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -206,5 +206,5 @@
 extern rtems_configuration_table BSP_Configuration;
 
-extern m68k_isr     M68Kvec[];   /* vector table address */
+extern m68k_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
@@ -212,5 +212,5 @@
 void bsp_cleanup( void );
 
-m68k_isr set_vector(
+m68k_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -82,6 +82,6 @@
 )
 {
-  m68k_isr *monitors_vector_table;
-  int       index;
+  m68k_isr_entry *monitors_vector_table;
+  int             index;
 
   /*
@@ -89,5 +89,5 @@
    */
 
-  monitors_vector_table = (m68k_isr *)0xFFE00000;
+  monitors_vector_table = (m68k_isr_entry *)0xFFE00000;
 
   m68k_set_vbr( monitors_vector_table );
@@ -126,5 +126,5 @@
   Cpu_table.do_zero_of_workspace = TRUE;
 
-  Cpu_table.interrupt_vector_table = (m68k_isr *) &M68Kvec;
+  Cpu_table.interrupt_vector_table = (m68k_isr_entry *) &M68Kvec;
 
   Cpu_table.interrupt_stack_size = 4096;
Index: c/src/tests/mptests/mp14/node1/mp14.scn
===================================================================
--- c/src/tests/mptests/mp14/node1/mp14.scn	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/tests/mptests/mp14/node1/mp14.scn	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -36,3 +36,6 @@
     rtems_semaphore_obtain and rtems_semaphore_release.
 
-NOTE: The messages could be interspersed.
+NOTES: 1.  The messages could be interspersed.
+       2.  If one of the nodes exits first, the other may report
+           timeout errors on blocking directives.
+    
Index: c/src/tests/mptests/mp14/node2/mp14.scn
===================================================================
--- c/src/tests/mptests/mp14/node2/mp14.scn	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ c/src/tests/mptests/mp14/node2/mp14.scn	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -33,3 +33,6 @@
     rtems_semaphore_obtain and rtems_semaphore_release.
 
-NOTE: The messages could be interspersed.
+NOTES: 1.  The messages could be interspersed.
+       2.  If one of the nodes exits first, the other may report
+           timeout errors on blocking directives.
+    
Index: testsuites/mptests/mp14/node1/mp14.scn
===================================================================
--- testsuites/mptests/mp14/node1/mp14.scn	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ testsuites/mptests/mp14/node1/mp14.scn	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -36,3 +36,6 @@
     rtems_semaphore_obtain and rtems_semaphore_release.
 
-NOTE: The messages could be interspersed.
+NOTES: 1.  The messages could be interspersed.
+       2.  If one of the nodes exits first, the other may report
+           timeout errors on blocking directives.
+    
Index: testsuites/mptests/mp14/node2/mp14.scn
===================================================================
--- testsuites/mptests/mp14/node2/mp14.scn	(revision 4e0074bc7b51a8c2186800ba5fa2ef5dd8ff31fd)
+++ testsuites/mptests/mp14/node2/mp14.scn	(revision 497428a296defb30fb4d166805091c580d18f7ad)
@@ -33,3 +33,6 @@
     rtems_semaphore_obtain and rtems_semaphore_release.
 
-NOTE: The messages could be interspersed.
+NOTES: 1.  The messages could be interspersed.
+       2.  If one of the nodes exits first, the other may report
+           timeout errors on blocking directives.
+    